optional.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for std::optional. More...

`#include "cereal/cereal.hpp"`
`#include <optional>`

Go to the source code of this file.

## Functions

template<class Archive , typename T >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, const std::optional< T > &optional)
| Saving for std::optional.
template<class Archive , typename T >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::optional< T > &optional)
| Loading for std::optional.

## Detailed Description

Support for std::optional.